Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp
Class FilterDescriptor

    java.lang.Object
      de.grogra.imp.GraphDescriptor
          de.grogra.imp.FilterDescriptor

All Implemented Interfaces:
  Manageable

    public abstract class FilterDescriptor

extends GraphDescriptor

A `FilterDescriptor` can be used as base class for `GraphDescriptor`s of `GraphFilter`s. This class contains a source descriptor which represents the source graph of the filter.

Author:
  Ole Kniemeyer

Nested Class Summary
`static class` | `FilterDescriptor.Type`

Field Summary
`static FilterDescriptor.Type` | `$TYPE`
`protected GraphDescriptor` | `source` Descriptor for the source graph of the filter.
`static SCOType.Field` | `source$FIELD`

Constructor Summary
`FilterDescriptor()`

Method Summary
`void` | `substituteSelection(GraphState[] gs, java.lang.Object[] object, boolean[] asNode, int index)`

Methods inherited from class de.grogra.imp.GraphDescriptor
`fieldModified, getGraph, getPathFor, getStamp, manageableReadResolve, manageableWriteReplace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.persistence.Manageable
`getManageableType`

Field Detail

### $TYPE

    public static final FilterDescriptor.Type $TYPE

### source

    protected GraphDescriptor source

  Descriptor for the source graph of the filter.

### source$FIELD

    public static final SCOType.Field source$FIELD

Constructor Detail

### FilterDescriptor

    public FilterDescriptor()

Method Detail

### substituteSelection

    public void substituteSelection(GraphState[] gs,
                                    java.lang.Object[] object,
                                    boolean[] asNode,
                                    int index)

  Overrides:
    `substituteSelection` in class `GraphDescriptor`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD